Bug 1286404 - Rebalance updates layout commit hash before healing directory on all subvols.
Rebalance updates layout commit hash before healing directory on all subvols.
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sakshi
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 23:04 EST by Sakshi
Modified: 2016-07-31 21:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-14 02:19:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sakshi 2015-11-28 23:04:23 EST
Description of problem:
Rebalance after healing the directory sets the layout commit hash as the volume commit hash for the local subvols. Hence if there were multiple nodes and rebalance on one node has healed the directory, then the layout commit hashes on one node may be same as volume commit hash and the others will still be unequal.
This is a problem, as the client may read the updated commit hash and assume that the entire directory is healed which is not the case.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a distribute volume and ensure that the bricks are distributed across atleast two different nodes.
2. Add more bricks and start rebalance.
3. Ensure that the rebalance for any directory is completed on one node and not on others. 

Actual results:
The layout commit hash for that directory will be updated on the some of the subvols even though the directory is not healed on all subvols.

Expected results:
Until the directory is not healed across all subvols, the layout commit hash must not be same as volume level commit hash.
 

Additional info:
Comment 1 Vijay Bellur 2015-11-28 23:39:53 EST
REVIEW: http://review.gluster.org/12781 (dht: layout commit hash must be changed if all subvols do not have same commit hash) posted (#1) for review on master by Sakshi Bansal
Comment 2 Vijay Bellur 2015-11-29 01:42:22 EST
REVIEW: http://review.gluster.org/12781 (dht: layout commit hash must be changed if all subvols do not have same commit hash) posted (#2) for review on master by Sakshi Bansal
Comment 3 Vijay Bellur 2015-12-01 04:08:26 EST
REVIEW: http://review.gluster.org/12781 (dht: layout commit hash must be changed if all subvols do not have same commit hash) posted (#3) for review on master by Sakshi Bansal
Comment 4 Vijay Bellur 2015-12-11 04:53:11 EST
REVIEW: http://review.gluster.org/12781 (dht: layout commit hash must be changed if all subvols do not have same commit hash) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 5 Vijay Bellur 2016-01-14 02:45:23 EST
REVIEW: http://review.gluster.org/12781 (dht: layout commit hash must be changed if all subvols do not have same commit hash) posted (#5) for review on master by Sakshi Bansal
Comment 6 Sakshi 2016-03-14 02:19:27 EDT
We don't need this patch as commit-hash is set to invalid if commit-hash differs across subvols. Hence closing the bug.

Note You need to log in before you can comment on or make changes to this bug.